wdm (1.28-23) unstable; urgency=medium

  [ Lev Lamberov ]
  * Updated Russian translation of debconf template. (Closes: #883990)

  [ Alban Vidal ]
  * Updated French translation of debconf template. (Closes: #886205)

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
  * Convert all remaining non-UTF-8 debconf template translations to
    UTF-8.
  * Update Vcs-* headers for switch to salsa.debian.org.

 -- Axel Beckert <abe@debian.org>  Wed, 03 Jan 2018 04:59:52 +0100

wdm (1.28-22) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Update Dutch translation of debconf messages. (Closes: #881399)

  [ Axel Beckert ]
  * Set "Rules-Requires-Root: no".
  * Switch NASA URLs in debian/copyright to HTTPS. Thanks DUCK!
  * Add debian/duck-override for "moved to" false positive on
    web.archive.org.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Nov 2017 03:18:34 +0100

wdm (1.28-21) unstable; urgency=low

  * update_wdm_wmlist: Don't call update-alternatives for an alternative
    which is not present, e.g. if no x-session-manager is installed.
  * Refactor update_wdm_wmlist towards modern Perl code.
  * Add .service and .tmpfile files. (Closes: #761642)
    + Update /etc/X11/default-display-manager handling from xdm
      1:1.1.11-3 including /etc/systemd/system/display-manager.service
      symlink handling.
    + Replaces "! -n" with "-z".
    + Thanks Laurent Bigonville for helpful hints!
    + Add lintian override for systemd-service-file-missing-install-key.
  * Declare compliance with Debian Policy 4.1.1.
  * Bump debhelper compatibility to 10.
    + Update versioned build-dependency on debhelper accordingly.
    + Remove hunk on configure from 03_autoconf.patch (but leave hunk on
      configure.ac).
  * Fix path to wdm-config in debian/rules.
  * Fix lintian warning using-imperative-form-in-templates by dropping the
    phrase "Select the" at the beginning of the template description.
  * Change all bugs.debian.org references in debian/patches to HTTPS.
  * Convert debian/copyright to machine-readable DEP5 format.
    + Remove lintian override for spelling-error-in-copyright.
  * Update upstream and copyright holder e-mail addresses.
  * Update packaging copyright holders and years.

 -- Axel Beckert <abe@debian.org>  Sun, 08 Oct 2017 23:40:29 +0200

wdm (1.28-20) unstable; urgency=medium

  * Stop plymouth before starting wdm. (Closes: #860464)
  * Add missing dependency on lsb-base ≥ 3.0-6 (according to lintian).
  * Add missing dependency on X server ("xserver-xorg | xserver"; closes:
    #860576)

 -- Axel Beckert <abe@debian.org>  Tue, 02 May 2017 00:40:28 +0200

wdm (1.28-19) unstable; urgency=medium

  * Remove all traces of /usr/bin/X11, /usr/ucb and /usr/X11R6, partially
    by adding a patch. (Closes: #821889)
  * Replace "xterm" with "x-terminal-emulator" where it's called without
    (knowingly incompatible) options.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Fix typo in URL in debian/copyright found by DUCK.
  * Switch Vcs-Git header from git:// to https://.
  * Enable all hardening flags.
  * Add lintian override for warning about duplicate word.

 -- Axel Beckert <abe@debian.org>  Sat, 07 May 2016 17:18:38 +0200

wdm (1.28-18) unstable; urgency=medium

  * Merge debian/TODO.old and debian/TODO into the later.
  * Remove duplicated and resolved items from debian/TODO.
  * Mention https://raorn.github.io/wdm/ in debian/TODO as potential new
    upstream
  * Add https://github.com/{voins,raorn}/wdm/releases to debian/watch as
    well as some comments why the old location is still included.
  * Update upstream's e-mail address in debian/copyright and mention the
    Github repository in there, too.
  * Remove obsolete debian/README.source and no more install it into the
    binary package.
  * Rename debian/config/ to debian/etc-X11-wdm/ to avoid confusion.
  * Rename all debian/wdm.* files to debian/* for consistency.
  * Declare compliance with Debian Policy 3.9.6 (no further changes).
  * Update Vcs-Browser to point to the new cgit interface and use HTTPS.
  * Add lintian override for "unused-debconf-template wdm/daemon_name"
    since it's used as '"$DEFAULT_DISPLAY_MANAGER"/daemon_name'.
  * Cite the license from NASA_image_guideline.html in debian/copyright
    and no more install it into the binary package. This also removes the
    lintian warning possible-documentation-but-no-doc-base-registration.
  * Replace B-D on libwraster3-dev with libwraster-dev. (Closes: #784701)
  * Replace --pid by --pidfile in postinst to fix start-stop-daemon error.

 -- Axel Beckert <abe@debian.org>  Fri, 08 May 2015 20:55:48 +0200

wdm (1.28-17) unstable; urgency=medium

  * Adopt the package. (Closes: #572372)
  * Change homepage to https://github.com/voins/wdm as the previous one
    seems to be no more reachable.
  * Bump Standards-Version to 3.9.5 (no changes)
  * Recode debian/update_wdm_wmlist from ISO-Latin-1 to UTF-8.
  * Fix miscellaneous spelling issues reported by lintian.
  * Fix lintian warning init.d-script-missing-lsb-description.
  * Bump debhelper comaptibility to 9
    + Update versioned debhelper build-dependency accordingly.
  * Remove debian/man/wdm.1x and debian/man/wdmLogin.1x from git
    repository and in debian/clean. They're generated files.
  * Revamp debian/rules:
    + Remove now obsolete manual clean up of stamp files, etc.
    + Clean up .mo files via debian/clean.
    + Use dh_lintian instead of copying the overrides file manually.
    + Remove now obsolete dh_installchangelogs parameter.
    + No more set DEB_BUILD_ARCH_OS_kfreebsd, it's obsolete since 1.28-3.1.
    + Use dh_auto_{configure,build,clean}, drop manual C[PP]FLAGS handling
      - Keep manual LDFLAGS handling to avoid unnecessary dependencies.
      - No more pass --prefix manually.
    + Use dh_install and debian/install instead of /usr/bin/install.
    + Finally switch to a dh-style debian/rules only listing non-defaults
    + Remove old CVS-related workaround for installing all files from
      debian/config
    + Set x-bit on some files in debian/config instead of using chmod.
    + Simplify sed usage by using -i instead of output redirection and mv.
  * Apply wrap-and-sort.
  * Remove obsolete alternative Suggests on xfs.

 -- Axel Beckert <abe@debian.org>  Fri, 25 Jul 2014 19:01:50 +0200

wdm (1.28-16) unstable; urgency=low

  * QA upload.
  * No-change rebuild to use new libwutil3.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 06 Nov 2013 13:14:02 +0100

wdm (1.28-15) unstable; urgency=low

  * QA upload.
  * Add debian/patches/09_pam_session.patch to make wdm work when logind is
    running.
  * Canonicalize Vcs-* headers

 -- Michael Stapelberg <stapelberg@debian.org>  Wed, 28 Aug 2013 22:18:50 +0200

wdm (1.28-14) unstable; urgency=low

  * QA upload.
  * wdm.pam: Ignore pam_selinux.so failures when the module does not
    exist (e.g. on architectures without SE Linux support like
    non-linux) instead of requiring it. Thanks Laurent Bigonville for
    bug report and proposed change (Closes: #707231).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 10 May 2013 11:28:56 +0200

wdm (1.28-14~exp1) experimental; urgency=low

  * QA upload.
  * wdm.init: Remove obsolete "hal" from Should-Start in incorrect LSB
    header (Closes: #694022).
  * 08_do_not_use_dev_mem.patch: Use /dev/urandom instead of
    /dev/mem. Thanks Borislav Petkov (Closes: #700422).
  * Add watch file, in case upstream resumes work in this package.
    Thanks Bart Martens for it.
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 15 Feb 2013 12:03:55 +0100

wdm (1.28-13) unstable; urgency=low

  * QA upload.
  * Add calls to pam_loginuid module in pam files. Thanks Laurent
    Bigonville for proposed change (Closes: #677439).

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 15 Jun 2012 11:45:28 +0200

wdm (1.28-12) unstable; urgency=low

  * QA upload.
  * Add calls to pam_selinux module in pam files. Thanks Laurent
    Bigonville for bug report and proposed change (Closes: #664809).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 16 May 2012 18:28:46 +0200

wdm (1.28-11) unstable; urgency=low

  * QA upload.
  * wdm.postrm:
    - Simplify "/var/run/wdm" removal amd move it to purge section.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 07 Mar 2012 14:39:44 +0100

wdm (1.28-10) unstable; urgency=low

  * QA upload.
  * debian/control:
    - Change libpng12-dev Build-Depends to libpng-dev (Closes: #662545).
    - Bump Standards Version. No changes required.
  * Some changes to mimic xdm equivalent files:
    - Xreset,Xstartup,Xsetup_0:
      + Use which function instead of checking hardcoded locations.
      + Copy Xstartup nologin stuff from xdm for consistency.
      + Use grep -qs '^whatever' instead of plain grep -q ^whatever.
    - wdm.init:
      + Use lsb/init-functions.
      + Merge some of the xdm lsb/init dependencies.
      + Add status option.
      + Misc changes.
  * wdm.init:
    - Use a common wdm_may_update_wmlist function for possible
      update_wdm_wmlist calls.
  * Remove obsolete and unused init file and rename {dir,docs} ->
    wdm.{dir,docs} for consistency.
  * debian/xdm.Debian.patches: Remove this ancient and unused file.
  * 03_autoconf.patch:
    - No need to add -lXft, get-wings-flags --libs will (needlessly) do it.
    - Do not try to filter out unneeded X libs, --as-needed will do it.
  * debian/rules:
    - Use dh_prep instead of obsolete dh_clean -k.
    - Use --as-needed to avoid linking to unneeded libs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 06 Mar 2012 15:42:13 +0100

wdm (1.28-9) unstable; urgency=low

  * QA upload.
  * debian/{rules,control}: Set compile/link flags to those
    provided by dpkg-buildflags. Needs a recent enough dpkg-dev.
  * debian/rules:
    - Drop ancient and now unsupported --with-gfx-{incs,libs}.
      Set pixmaps dir with --with-gfxdir.
  * 03_autoconf.patch:
    - Add test for wutils flags and libs, "wusleep" is now only
      in libWUtil. Hopefully (Closes: #655800).
    - Do not link against ICE,SM,Xft. xorg does not need it.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Jan 2012 16:08:35 +0100

wdm (1.28-8) unstable; urgency=low

  * QA upload.
  * Use individual quilt patches instead of monolithic 3.0 format
    single patch. Fix lintian format-3.0-but-debian-changes-patch.
  * wdm.preinst: Add debhelper token.
  * debian/control:
    - Bump Standards-Version. No changes required.
    - Use dpkg architecture wildcard linux-any instead of hardcoded
      negated list of non-Linux architectures  (Closes: #634732).
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 26 Jul 2011 11:03:55 +0200

wdm (1.28-7) unstable; urgency=low

  * QA upload
  * Changed build-dependency on libjpeg62-dev to libjpeg-dev (closes: #634642)
  * Migrate to source format 3.0 (quilt):
    - add debian/source/format
    - drop build-dependency on dpatch
    - drop all patching/unpatching from debian/rules
    - drop touching of configure since quilt patching now does it for us

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Jul 2011 20:05:52 +0200

wdm (1.28-6) unstable; urgency=low

  * QA upload.

  [ Matthias Klose ]
  * Fix FTBFS with ld --as-needed (Closes: #556673).

  [ Yury Bulka ]
  * Fixed problem that wdm didn't read /etc/security/limits.d/*
    (Closes: #594176)

  [ Agustin Martin Domingo ]
  * Add Vcs-Git and Vcs-Browser entries pointing to to collab-maint.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 24 Jan 2011 12:46:57 +0100

wdm (1.28-5) unstable; urgency=low

  * QA upload.
  * RC: Smooth upgrades from lenny avoiding non-needed questions
    in systems with no accepted changes (Closes: #606788).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 15 Dec 2010 12:35:20 +0100

wdm (1.28-4) unstable; urgency=low

  * QA upload.
  * Move 'DisplayManager*wdmWm' automatic regeneration to a separate
    file, so wdm-config conffile is not automatically changed
    (Closes: #582612).
  * Clarify copyright notices.
  * debian/po: Automatic update by Debian po tools.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 27 May 2010 15:00:14 +0200

wdm (1.28-3.5) unstable; urgency=low

  * Non-maintainer upload.
  * Change maintainership to the QA group.
  * debian/control: Really enable selinux in linux targets by
    adding libselinux1-dev to Build-Depends for them.
  * debian/config/Xreset: Use common Xreset framework if
    available (Closes: #571611).
  * Remove /etc/X11/default-display-manager if debconf question
    db_get shared/default-x-display-manager no longer exists. Was
    left behind in purge when no other X display managers were
    installed.
  * Make sure wdm.pam honours /etc/default/locale
    (Closes: #567837, #180062).
  * Rewrite Xsession to make sure is run consistently with the
    way other display managers work.
  * Make sure server is terminated when needed, so reset code
    (and thus update_wdm_wmlist) is run there (Closes: #502406).
  * Fixed to work with composite extension, so we avoid corruptions
    when composite is enabled, and at a depth other than 24
    (Closes: #488715, #547251).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 08 Apr 2010 18:39:05 +0200

wdm (1.28-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * Change dependency from generic xutils to x11-utils (xmessage).
    Required dependency on x11-xserver-utils (xrdb), previously
    part of xutils, was already present (Closes: #546604).
  * Fix lintian 'malformed-prompt-in-templates' by changing
    'internal use only' to 'for internal use'

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Feb 2010 17:39:08 +0100

wdm (1.28-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Provide virtual facility x-display-manager for dependency
    based boot system (Closes: #554837).
  * debian/config/Xservers: Updated to use current paths and comments
    from xdm Xservers. Make sure we start in vt7 to avoid race condition
    with tty creation leading to conflicts with other terminals due
    to missing VT selection in /etc/X11/wdm/Xservers (Closes: #272704).
  * Add Russian debconf templates translation, thanks to Yuri Kozlov
    (Closes: #541760).
  * Replace fake Debian logo by Debian Open Use Logo from
    http://www.debian.org/logos (Closes: #490269).
  * debian/config/{Xresources,Xresources_0}:
    - xlogin*namePrompt: Remove trailing backslash and space.
  * debian/control:
    - Add Build-Depends on x11-xserver-utils so wdm knows during build
      where is xrdb (Closes: #292298).
    - Make Build-Depends multiline for easier inspection.
    - Move Homepage to header from description.
    - Add ${misc:Depends} to fix debhelper-but-no-misc-depends.
  * debian/wdm.postinst:
    - Use HOST_NAME instead of HOSTNAME as variable name in a for loop
      to work around a bogus checkbashisms report (Closes: #530222).
  * Xsession: Read ~/.wm_style only if available (Closes: #515621).
  * Copy dpatch README.source into the package.
  * debian/man/update_wdm_wmlist.8: Fix some errors.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 08 Feb 2010 14:01:27 +0100

wdm (1.28-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix dependencies in init.d script so it is started later
    in the boot sequence.(Closes: #548105, #550060),
    - Should-Start: Add kbd acpid dbus hal network-manager
    - Add $local_fs to Required-Start and Required-Stop.
    - Add x11-common to Required-Start.
  * Fix lintian error: build-depends-on-obsolete-package:
    - Change x-dev Build-Dep to x11proto-core-dev (Closes: #515470).
    - Change libungif4-dev Build-Dep to libgif-dev.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 Nov 2009 13:00:12 +0100

wdm (1.28-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD by getting rid of the #if/#endif test in the
    dpatch 00list file (Closes: #417865). It turned out that this patch
    wasn't applied, since according to the dpatch manpage, only
    DEB_BUILD_ARCH_$arch is supported, not DEB_BUILD_ARCH_OS_$os. That
    patch can be applied on every platform without any issues
    anyway. Update my mail address in the dpatch header, too.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Jul 2009 11:57:45 +0200

wdm (1.28-3) unstable; urgency=low

  * Use dpatch to process external patches. Added to Build-depends.
  * Fix login/password buffer overflow (Closes: #276218).
  * Fix some build issues to use debian/wdm instead of debian/tmp to install.
  * Cleanup upstream sources from Debian patches to doc/wdm.man.in and
    to autoconf (move under dpatch control).
  * lintian cleanup.
  * Turn on anti-aliased fonts (Closes: #472934).
  * Rename fr_FR translation to fr (Closes: #336806).
  * Replace xbase-clients dependency by x11-apps, x11-xserver-utils,
    x11-common (Closes: #475391).
  * Add some useful things from Gürkan Sengün <gurkan@phys.ethz.ch>:
    - update to debhelper >= 5
    - finally remove the amazing hack to create debian/conffiles
    - more strict 'make distclean' invocation
    - debconf-updatepo invocation.

 -- Vlad Shakhov <lumpen.intellectual@gmail.com>  Fri, 18 Apr 2008 13:27:44 +0300

wdm (1.28-2.4) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #462213)
  * Fix build problem on GNU/kFreeBSD (Closes: #417865).  Patch
    from Cyril Brulebois.
  * The code now includes patch to properly handle a killed X
    server (closes: #272494).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 22:16:50 +0100

wdm (1.28-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch from Peter Colberg <peterco@gmx.net> to allow setting of greeter
    font (Closes: #386424).
  * Apply patch to fix cosmetic issues in manpage, from Nelson A. de Oliveira
    <naoliv@gmail.com> (Closes: #319574).
  * Use invoke-rc.d to run init.d scripts(Closes: #367754).
  * cdebconf transition: allow the dependency on debconf to be satisfied with
    an alternate of debconf-2.0 (Closes: #332142).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 20 Aug 2007 23:59:50 +0200

wdm (1.28-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't assume /etc/X11/Xsession is executable; it no longer is, and this
    would make sessions stop immediately. (Closes: #397534)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 15 Nov 2006 02:18:05 +0100

wdm (1.28-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #347055).
  * Added Swedish debconf translation (Closes: #332556).
  * Added Portuguese debconf translation (Closes: #336233).

 -- Luk Claes <luk@debian.org>  Sat, 21 Jan 2006 16:19:30 +0100

wdm (1.28-2) unstable; urgency=low

  * New maintainer: Vladimir Shakhov <lumpen.intellectual@gmail.com>
    (Closes: #323600,#287873).
  * Mark /etc/logrotate.d/wdm as conf file and use dh_installlogrotate
    instead of manual copying. lintian cleanup. Place dh_installlogrotate
    above sed hack to generate debian/conffiles.
  * Use dh_installpam instead of manual copying. debian/wdm.pamd rename to
    debian/wdm.pam.
  * Use dh_installdirs instead call "install -d".
  * /usr/X11R6 replacement with /usr (as Debian Policy, paragraph 11.8.7,
    said). Some debian/wdm.config and debian/wdm.postinst changes to provide
    clean upgrade.
  * TODO updated (Closes: #319573).
  * Prevent ChangeLog duplication (Closes: #320321).
  * Current package already use newest upstream version (Closes: #303868).
  * Build-Depends against libwraster3 (Closes: #281328).

 -- Vladimir Shakhov <lumpen.intellectual@gmail.com>  Wed, 17 Aug 2005 19:25:13 +0300

wdm (1.28-1) unstable; urgency=low

  * new upstream version (see /usr/share/doc/wdm/NEWS.gz for details)
  * enable SELinux (Closes: #283372)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 20 Apr 2005 21:15:39 -0400

wdm (1.27-2.2) unstable; urgency=medium

  * NMU.
  * Removed dependency on libproplist0-dev (bug #294719)
  * Added update translations (bugs #267130, #283974, #286093)
  * Kept urgency=medium in order to enter testing quickly.

 -- Giuseppe Sacco <eppesuig@debian.org>  Wed, 23 Feb 2005 15:08:21 +0100

wdm (1.27-2.1) unstable; urgency=medium

  * NMU.
  * Updated Build-Depends to libwraster3-dev (Closes: #282287).
  * Add libxft-dev to Build-Depends.
  * Add missing -lXft to configure.ac and configure (but did not run
    autoconf; touch'ing configure instead in debian/rules).

 -- Christoph Berg <cb@df7cb.de>  Wed,  1 Dec 2004 22:53:39 +0100

wdm (1.27-2) unstable; urgency=medium

  * Remove unnecessary build-dep on libtiff3g-dev (Closes: #264576)
  * Re-enable ExitLogin functionality. (Closes: #260249)

 -- Noah Meyerhans <noahm@debian.org>  Wed, 18 Aug 2004 15:44:29 -0400

wdm (1.27-1) unstable; urgency=low

  * New upstream release
  * Rotate /var/log/wdm.log (closes: #241441)
  * Update default config to properly initialize syslog
    (closes: #242155)
  * Add Czech debconf traslation, thanks to Miroslav Kure
    <kurem@upcase.inf.upol.cz> (closes: #237987)
  * Add Turkish debconf translation, thanks to Recai Oktas
    <roktas@omu.edu.tr> (closes: #248327)
  * Add manual page for the wdmlogin.conf file (closes: #239928)
  * Fix prerm to reconfigure /etc/X11/default-display-manager
    (closes: #219184)

 -- Noah Meyerhans <noahm@debian.org>  Thu, 27 May 2004 23:54:31 -0400

wdm (1.26-1) unstable; urgency=low

  * New upstream version.  See /usr/share/doc/wdm/ChangeLog.gz for details.
  * Update PAM configuration to use new @include functionality.
  * Explicitly set the wdmLocale resource in wdm-config, since wdmLogin
    will not display help text otherwise.

 -- Noah Meyerhans <noahm@debian.org>  Tue, 30 Sep 2003 19:54:45 -0400

wdm (1.25-1) unstable; urgency=low

  * New upstream version (Closes: #202818)
  * wdmLogin geometry option added upstream (Closes: #155459)
  * Added dependency on xbase-clients (Closes: #203311)
  * wdm man page cleanup (Closes: #189340)
  * Applied patch from Christian Perrier <bubulle@debian.org> to provide
    gettext-based debconf templates (Closes: #203102)
  * corrected some errors in output of update_wdm_wmlist (Closes: #192780)
  * Cleaned up the source tree, resulting in a cleaner merge of my
    CVS stuff with upstream's source.  Got rid of some files left over
    from patches that are no longer relevant.
  * Install localized message files in /usr/share/locale (Closes: #193899)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 10 Aug 2003 17:21:09 -0400

wdm (1.22.1-2) unstable; urgency=low

  * PAM fix after I accidentally sucked in upstream's pam file that is
    not Debian-friendly.  (Closes: #182161)

 -- Noah Meyerhans <noahm@debian.org>  Sun, 23 Feb 2003 16:44:16 -0500

wdm (1.22.1-1) unstable; urgency=low

  * New upstream version fixes PAM bug introduced in 1.22.  PAM
    service name had erroneously been set to "xdm".  (Closes: #181838)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 21 Feb 2003 15:23:47 -0500

wdm (1.22-2) unstable; urgency=low

  * Fix prerm script to abort if wdm is managing a display the user
    chooses not to stop it. (Closes: Bug#177609)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 18 Feb 2003 16:57:58 -0500

wdm (1.22-1) unstable; urgency=low

  * New upstream release (Closes: Bug#180810, Bug#80542, Bug#108734)
  * Small update to build-depends (Closes: Bug#170236)
  * Bumped standards version.
  * Updated copyright.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 17 Feb 2003 23:32:19 -0500

wdm (1.20-18) unstable; urgency=low

  * debian/control: build-depend on libpng12-0-dev
  * Rebuild with new libproplist

 -- Noah Meyerhans <noahm@debian.org>  Thu, 23 Jan 2003 19:24:42 -0500

wdm (1.20-17) unstable; urgency=low

  * Really fixed the maintainer field.
  * Changed build deps to depend on libungif4-dev (Closes: Bug#165542)
  * Applied a patch from Frederik Schueler to Login.c to fix the
    buggy help display.  (Closes: Bug#122430)

 -- Noah Meyerhans <noahm@debian.org>  Fri, 25 Oct 2002 18:51:05 -0400

wdm (1.20-16) unstable; urgency=low

  * added -nolisten tcp to X server flags.
  * set DisplayManager.requestPort to 0 in /etc/X11/wdm/wdm-config
    to disable XDMCP by default.
  * Updated the manual page to include much of the content of the XDM
    man page.  This eliminates the need to refer to the XDM man page,
    which is usually not installed on systems that run wdm.
  * (closes: #145980)  The previous 3 changelog entries close this bug.
  * Added polish debconf translation (Closes: #142541)
  * Added a Xinerama patch from Will Andrews <will@csociety.org>
    (Closes: #142930)
  * updated the Maintainer field to point to the right email address.
  * Note that we still depend on libpng2 until libwraster2 updates to
    libpng3.

 -- Noah Meyerhans <noahm@debian.org>  Wed,  4 Sep 2002 15:59:33 -0400

wdm (1.20-15) unstable; urgency=low

  * Added code to postrm to delete /var/lib/wdm/ if possible
    (Closes: Bug#114788).
  * Added references to update_wdm_wmlist(8) and wdm.options(5) in
    the wdm.1x man page.  (Closes: Bug#135693)
  * Stopped creating /usr/X11R6/share/man/man1. (Closes: Bug#122042)
  * Added debconf translations for French, Spanish, and Japanese
    (Closes: Bug#137939, Bug#134462, Bug#137141)

 -- Noah Meyerhans <noahm@debian.org>  Tue, 12 Mar 2002 19:26:18 -0500

wdm (1.20-14) unstable; urgency=low

  * Removed a bashism from /etc/X11/wdm/Xsession (Closes: Bug#121990)
  * Fixed a typo in prerm that prevented wdm from properly giving
    control to another display manager in the event that it was purged.

 -- Noah Meyerhans <noahm@debian.org>  Mon, 14 Jan 2002 14:10:39 -0500

wdm (1.20-13) unstable; urgency=high

  * Fixed incoherent references to authentication directory.  This was
    a serious security flaw that allowed wdm to allow all clients to
    access the display it was managing.  (Closes: Bug#121056)
  * Added Brazilian portuguese localized debconf template.
  * Applied a small change to Login.c to prevent array bounds overruns
    when >13 window managers are installed.  A cleanup is in order, as
    there's no reason to hardcode a 13 WM limit, but I'll save the more
    involved work for later.  (Closes: Bug#121097)
  * Fixed reference to unset variable DEFAULT_DISPLAY_MANAGER_FILE
    in prerm.  This caused potential hangs when removing wdm.

 -- Noah Meyerhans <noahm@lcs.mit.edu>  Sun, 25 Nov 2001 14:15:42 -0500

wdm (1.20-12) unstable; urgency=low

  * Uncommented a server line in /etc/X11/wdm/Xservers, which allows
    wdm to actually manage :0.  (Closes: Bug#113006)
  * Fixed postrm to delete /etc/X11/wdm on purge.  (Closes: Bug#113452)
  * Incorporated another Pax Displayicus Managerius patch from Branden
    into prerm
    (see http://lists.debian.org/debian-devel/2001/debian-devel-200109/\		msg01597.html and bug 113070)

 -- Noah Meyerhans <noahm@gnat.lcs.mit.edu>  Mon, 15 Oct 2001 15:47:38 -0400

wdm (1.20-11.2) unstable; urgency=low

  * NMU
  * debian/wdm.config: forgot a code snippet that is part of the Pax
    Displayicus Managerius implementation (thanks, Ryan Murray)
  * debian/postinst: if starting the daemon on upgrade, redirect the init
    script's output to /dev/tty so that debconf doesn't catch it and choke on
    it

 -- Branden Robinson <branden@debian.org>  Fri,  7 Sep 2001 12:22:53 -0500

wdm (1.20-11.1) unstable; urgency=low

  * NMU
  * debian/{init,postinst,prerm,wdm.config,wdm.templates}: implement Pax
    Displayicus Managerius (Closes: #108819)
  * debian/README.debian: remove paragraph about auto-migration of X server
    management from xdm to wdm, since the package doesn't do this anymore
  * debian/control: change wdm's dependencies
    - add debconf (>= 0.5.00)
    - remove versioned dependency on xfree86-common; the shared library
      dependency on xlibs will haul it in
    - remove pre-4.0 xbase-clients alternative to xutils; all versions of
      xutils currently available have sessreg
    - remove explicit Section and Priority from binary stanza, since
      dh_gencontrol will pass -isp to dpkg-gencontrol
    - wdm Provides: x-display-manager
    - bumped Standards-Version to 3.5.6 (lintian-clean)
  * debian/postrm: don't automatically fail if "$1" is "failed-upgrade"
    (see Policy 6.4 and 6.5)
  * debian/rules: run dh_installdebconf
  * debian/wdm.options.5: undocument "check-local-xserver" since the
    package no longer uses it

 -- Branden Robinson <branden@debian.org>  Tue,  4 Sep 2001 23:27:03 -0500

wdm (1.20-11) unstable; urgency=low

  * Removed dependency on libc6-dev (it is build-essential).
  * Fixed giflib-dev build-depend.  It now depends on the generic
    giflib-dev, which is provided by the various giflib and libungif
    dev packages (Closes: Bug#105714)
  * Basically fixed build-dependencies all around.  Things should be
    good to go at this point...

 -- Noah Meyerhans <noahm@lcs.mit.edu>  Wed, 18 Jul 2001 19:17:17 -0400

wdm (1.20-10) unstable; urgency=low

  * Fixed a typo in /etc/X11/wdm/Xreset (Closes: Bug#93685)
  * Removed reference to pam_condev.so in /etc/pam.d/wdm
    (Closes: Bug#95386)
  * Fixed an invalid comparison (bash syntax) in /etc/X11/wdm/Xsession
    (Closes: Bug#95754)

 -- Noah Meyerhans <noahm@lcs.mit.edu>  Mon, 30 Apr 2001 13:51:44 -0400

wdm (1.20-9) unstable; urgency=low

  * Integrated Arthur Korn's patch to update_wdm_wmlist
    (Closes: Bug#83874, Bug#82213)
  * Fixed /etc/pam.d/wdm to be policy compliant.  See
    /usr/share/doc/libpam0g/Debian-PAM-MiniPolicy.gz for more info.
    Removed incorrect dependencies on PAM packages (Closes: Bug#88492)
  * Modified the init script, /etc/X11/wdm/Xreset, and
    /etc/X11/wdm/wdm.options to allow for the automatic update of the
    session menu if an option is set in wdm.options.

 -- Noah Meyerhans <noahm@lcs.mit.edu>  Fri, 30 Mar 2001 16:27:50 -0500

wdm (1.20-8) unstable; urgency=low

  * New Maintainer, frodo@morgul.net (eventually noahm@debian.org).
  * Fixed a bug in Login.c that caused WINGs.h to be searched for
    in the wrong place.  This isn't a great fix, as it should
    probably be detected by configure and placed in config.h
  * Changed #!/bin/bash --login to #!/bin/sh where it was inappropriately
    used.  (Closes: Bug#91214)
  * Removed the dependency on bash since it won't ever actually call bash
    by name.  This also served to fix a lintian error.

 -- Noah Meyerhans <noahm@gnat.lcs.mit.edu>  Mon, 26 Mar 2001 11:16:36 -0500

wdm (1.20-7) unstable; urgency=low

  * OK, 1.20-6 was accidentally built for potato (yes, again :(( ),
    so it depended on libwraster1.
    This one is built for woody (closes: #74912)

 -- Bas Zoetekouw <bas@debian.org>  Fri, 29 Dec 2000 09:43:02 +0100

wdm (1.20-6) unstable; urgency=low

  * The /etc/X11/wdm/Xsession wrapper script now calls the original X
    /etx/X11/Xsession script through an exec. (closes: #79450)
  * Updated standard-version to 3.2.1
  * Added a warning in wdm-config about the list of windowmanager being
    overwritten on every (re)start.

 -- Bas Zoetekouw <bas@debian.org>  Wed, 13 Dec 2000 11:20:12 +0100

wdm (1.20-5) unstable; urgency=low

  * Some things went wrong with building and uploading. I hope this
    release fixes them.

 -- Bas Zoetekouw <bas@debian.org>  Sun, 10 Dec 2000 17:49:10 +0000

wdm (1.20-4) unstable; urgency=low

  * Fixed the Build-Depends (closes: #78997).

 -- Bas Zoetekouw <bas@debian.org>  Thu,  7 Dec 2000 14:10:13 +0100

wdm (1.20-3) unstable; urgency=low

  * Oops, 1.20-2 was accidentally build for potato. Now built for woody.
  * Changed dependency on xutils to dependency on xutils (>4.0.0) ||
    xbase-clients (<4.0.0).
  * Upstream maintainer changed to Gregory Youngblood <greg@tcscs.com>

 -- Bas Zoetekouw <bas@debian.org>  Mon,  4 Dec 2000 20:59:46 +0100

wdm (1.20-2) unstable; urgency=low

  * Fixed build-dependencies: zlib1-dev --> zlib1g-dev (closes: #77105, #77270)
  * The new Xsession wrapper needs bash in order to be able to load the
    correct environment variables; added a dependency accordingly.
  * Changed /etc/pam.d/wdm in order to have PAM do some useful stuff
    (set env vars, set MAIL var, check shells, etc). Thanks to Ethan
    Benson for pointing this out to me. (closes: #55997)
  * Wdm now depends on libwraster2 instead of libwraster1 (closes: #74912)
  * This package now provides a lintian override file.

 -- Bas Zoetekouw <bas@debian.org>  Wed, 15 Nov 2000 15:49:58 +0100

wdm (1.20-1) unstable; urgency=low

  * New upstream version (closes: #59945)
  * New maintainer: Bas Zoetekouw <bas@debian.org> (closes: #76070)
  * x-window-manager alternative related bugs were fixed a long time
    ago (closes: #54605)
  * update_wdm_wmlist is now called in init file at start, restart,
    reload and force-reload (closes: #34680)
  * Debugged debian/rules (closes: #67866, #67867)
  * Xconsole won't be started by default anymore because of possible
    security holes. Thanks to John Slee <john@chirp.com.au> for pointing
    this out to me. (closes: #56918)
  * Added new dependency on xutils (closes: #76730)
  * New non-squashed logo from Daniel Patterson (closes: #48696)
  * Added correct Build-Depends in debian/control. Thanks to Josip Rodin
    and Chuan-kai Lin for pointing this out to me (closes: #76912)
  * The 'no-change' window manager option now works correctly:
    /etc/X11/Xsession is now called throught a wrapper. Thanks to
    Chuan-kai Lin for fixing this. (closes: #59621, #61244)
  * Old NMU's were implemented (closes: #60442)
  * Adapted package to standards version 3.0.1

 -- Bas Zoetekouw <bas@debian.org>  Fri,  3 Nov 2000 10:35:21 +0100

wdm (1.19-5) unstable; urgency=low

  * New maintainer: Bas Zoetekouw <bas@debian.org>

 -- Bas Zoetekouw <bas@debian.org>  Thu,  9 Nov 2000 22:25:48 +0100

wdm (1.19-4.2) frozen unstable; urgency=low

  * NMU
  * Make /etc/wdm-config mode 0600, closes: #66029

 -- Randolph Chung <tausq@debian.org>  Sun, 25 Jun 2000 11:00:59 -0700

wdm (1.19-4.1) frozen unstable; urgency=low

  * Non-maintainer upload
  * No longer use parse-xf86config, it no longer exists. Closes: Bug#59843
  * Modify update_wdm_wmlist to use x-window-manager alternatives. Closes: Bug#60192

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 15 Mar 2000 12:19:00 +0100

wdm (1.19-4) unstable; urgency=low

  * Added dependency on psmisc so that /etc/init.d/wdm can use killall safely

 -- Daniel Patterson <danpat@debian.org>  Thu,  7 Oct 1999 21:37:12 +1000

wdm (1.19-3) unstable; urgency=high

  * Fixed dependencies on libpam-modules,libpam-cracklib
  * Changed PAM to use pam_unix instead of pam_pwdb

 -- Daniel Patterson <danpat@debian.org>  Thu,  7 Oct 1999 21:37:12 +1000

wdm (1.19-2) unstable; urgency=high

  * Added --enable-pam to build

 -- Daniel Patterson <danpat@debian.org>  Mon,  4 Oct 1999 12:11:23 +1000

wdm (1.19-1) unstable; urgency=high

  * New upstream version
  * New version closes security hole, see wdm web page for details

 -- Daniel Patterson <danpat@debian.org>  Wed, 22 Sep 1999 01:46:54 +1000

wdm (1.18-1) unstable; urgency=low

  * New upstream version
  * Altered src/Login.c and src/Greet.c to affect customizable
    username length at compile time.

 -- Daniel Patterson <danpat@debian.org>  Fri, 17 Sep 1999 00:12:45 +1000

wdm (1.17-3) unstable; urgency=low

  * Changed src/Login.c::PASS_LEN to 32 (closes #44699)

 -- Daniel Patterson <danpat@debian.org>  Sun, 12 Sep 1999 08:24:34 +1000

wdm (1.17-2) unstable; urgency=medium

  * Typo in /etc/X11/wdm/Xresources{,_0} fixed

 -- Daniel Patterson <danpat@debian.org>  Thu,  9 Sep 1999 20:07:11 +1000

wdm (1.17-1) unstable; urgency=low

  * New upstream version
  * /etc/X11/wdm/Xresouces* no longer define global resources (closes #43850)

 -- Daniel Patterson <danpat@debian.org>  Thu,  9 Sep 1999 14:01:02 +1000

wdm (1.16-3) unstable; urgency=medium

  * Fixed missing changelog entries

 -- Daniel Patterson <danpat@debian.org>  Thu, 29 Jul 1999 06:22:12 +1000

wdm (1.16-2) unstable; urgency=low

  * Replaced -eq with = on line 91 of prerm

 -- Daniel Patterson <danpat@debian.org>  Tue, 27 Jul 1999 16:24:20 +1000

wdm (1.16-1) unstable; urgency=low

  * New upstream version

 -- Daniel Patterson <danpat@debian.org>  Mon, 26 Jul 1999 20:56:35 +1000

wdm (1.15-1) unstable; urgency=low

  * New upstream version (Jerome is insane)
  * Fixed prerm (closes #40798)

 -- Daniel Patterson <danpat@debian.org>  Wed,  7 Jul 1999 15:47:15 +1000

wdm (1.14-1) unstable; urgency=low

  * New upstream version, now by Jerome Alet
  * MD5 passwords should work
  * Included nice new swirl logo

 -- Daniel Patterson <danpat@debian.org>  Fri,  2 Jul 1999 09:05:14 +1000

wdm (1.0-11) unstable; urgency=low

  * Upgrade while xdm is still present erronously asks about moving
    Xservers lines back to /etc/X11/xdm/Xservers - fixed

 -- Daniel Patterson <danpat@debian.org>  Mon, 28 Jun 1999 10:49:00 +1000

wdm (1.0-10) unstable; urgency=low

  * Applied patches from http://cortex.unice.fr/~jerome/Windowmaker/wdm/
  * Fixed appening of extra X servers to /etc/X11/wdm/Xservers
    when updating wdm

 -- Daniel Patterson <danpat@debian.org>  Sun, 27 Jun 1999 16:12:34 +1000

wdm (1.0-9) unstable; urgency=low

  * if xdm isn't present, add a default local server to Xserver
  * various spelling errors (thanks Magello :))

 -- Daniel Patterson <danpat@debian.org>  Sun,  4 Apr 1999 21:00:00 +1000

wdm (1.0-8) unstable; urgency=low

  * new maintainer: Daniel Patterson <danpat@debian.org>
  * Modified postinst to move local servers from xdm->wdm

 -- Daniel Patterson <danpat@debian.org>  Fri,  2 Apr 1999 19:56:14 +1000

wdm (1.0-7) frozen unstable; urgency=low

  * src/Login.c: patched to handle MD5SUM passwords (increased password
    lenght) (thanks Michael Stone) (closes: bug#32485)
  * debian/config/Xsession: removed. (closes: bug#32529)
  * debian/postinst: modifies /etc/X11/wdm/wdm-config to use
    /etc/X11/Xsession instead of /etc/X11/wdm/Xsession.
  * debian/control: 'Depends: xfree86-common (>= 3.3.2.3a-9)' added
  * debian/config/wdm-config: fixed path for Xsession
  * debian/rules: removed references to Xsession
  * debian/postinst: fixed ugly typo in perl invocation.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon,  1 Feb 1999 12:06:16 -0600

wdm (1.0-6) frozen unstable; urgency=low

  * debian/control: downgraded recommends to suggests for fonts (closes:
    bug#32303)
  * debian/postinst: fixed unterminated perl substitution (closes:
    bug#32258)
  * Because of the previous bug, eye-balled scripts for similar things.
  * Recompiled with slink version of libwraster1 (argh! I need a pure
    slink machine!)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 23 Jan 1999 16:47:06 -0600

wdm (1.0-5) frozen unstable; urgency=low

  * debian/{prerm,postinst,postrm}: checked for missing quotes on
    tests. (closes: bug#31857)
  * debian/init: added check-local-xserver (like xdm -8pre9v4)
  * debian/wdm.options.5: added check-local-xserver.
  * debian/control: removed dependency on xbase.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 19 Jan 1999 12:49:25 -0600

wdm (1.0-4) frozen unstable; urgency=low

  * debian/config/Xsession: patched to get in sync with xbase
    3.3.2.3-8pre9v2's Xsession (I'll bug Branden about including the
    differences in xbase). Adds support for ssh-agent
  * debian/config/Xsession: correction in regexp used to load Xresources
  * debian/Xsession: if ~/.xsession doesn't exists, it kept loading twm
  * debian/wdm.options.5: updated to reflect run-xconsole
  * debian/config/Xsetup_0: added check for run-xconsole
  * src/Greet.c: if user selects 'exitLogin', wdm is killed.
  * src/Greet.c: uses 'RESERVER_DISPLAY' instead of 'UNMANAGE_DISPLAY' if
    server is zapped.
  * debian/stop_faulty_server.patch: patch to let wdm detect a faulty
    server. Please note that wdm WON'T stop if it deactivates all the local
    displays (remote displays should still work)
  * debian/rules: applies the previous patch after unpacking xdm's source.
  * debian/init: because of the previous patch, the horrible hack in
    /etc/init.d/wdm is no longer needed.
  * debian/config/Xsetup_0: removed the other part of the hack to detect a
    faulty server.
  * debian/config/wdm.options: added run-xconsole
  * debian/postinst: simplified logic to start and stop wdm
  * debian/preinst: removed, not needed.
  * debian/config/Xsetup_0: changed default geometry for xconsole.
  * debian/control: added 'Recommends: xserver-common'

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  2 Jan 1999 15:00:44 -0600

wdm (1.0-3) frozen unstable; urgency=low

  * Modified a bunch of stuff to get this working with the new X
    setup. Mimics new xdm setup and configuration.
  * debian/Xsession: merged changes from xbase's Xsession. Reads
    /etc/X11/Xsession.options.
  * debian/config/Xaccess: copied from stock /etc/X11/xdm/Xaccess.
  * Stole Branden's xdm.options.5 and renamed it to wdm.options.5
  * debian/wdm.options: modified to reflect actual path (/etc/X11/wdm)
  * debian/preinst: modified to used pidof instead of start-stop-daemon
    (I don't trust wdm to respond to signals properly -- I'll talk with
    the author about this)
  * debian/prerm: ditto
  * debian/init: ditto
  * debian: moved several files into debian/config.
  * debian/config/Xsession: thought about changing as suggested in "noexec
    /home" thread in debian-devel, but I'll wait for Branden on this
    one. If the changes are important, I'll release them with 1.0-4.
  * debian/rules: modified a couple of somedir/* constructs. Replaced them
    with more complex 'find -type f | grep -v /CVS/' to get wdm to build
    right on the working CVS tree.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 14 Dec 1998 21:58:14 -0600

wdm (1.0-2) frozen unstable; urgency=low

  * Patched to build with wrlib in slink.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue, 27 Oct 1998 14:59:54 -0600

wdm (1.0-1) unstable; urgency=low

  * New upstream release
  * Reworked preinst, postinst, prerm and postrm to deal with a running
    wdm; preinst code snatched from xbase's preinst (my sincerest thanks
    to Branden Robinson). Thanks to Joey Hess for pointing this
    out. (closes: bug#26667)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat,  3 Oct 1998 13:52:31 -0600

wdm (0.91-1) unstable; urgency=low

  * New upstream release.
  * Remove Makefile.in on "rules clean"
  * Changed xrdb -merge to xrdb -load in /etc/X11/wdm/Xsession

 -- Marcelo E. Magallon <mmagallo@debian.org>  Tue,  8 Sep 1998 14:08:08 -0600

wdm (0.21-1) unstable; urgency=low

  * New upstream version
  * Modified debian/rules to extract userPath and systemPath resources
    from debian/wdm-config
  * Author included manpages; removed from debian/
  * Reported problem with tcl/tk applications reproduced: for some reason
    colors are all screwed up, and I don't have a clue how to fix
    that. The problem also shows up witn mwm. It's all creamy white. HELP!

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun,  6 Sep 1998 15:25:08 -0600

wdm (0.10.3-1) unstable; urgency=low

  * Initial Release.
  * Modified paths to get it in sync with Debian xdm's configuration.
  * Modified /etc/X11/wdm/config to get it to use installed xdm
    configuration.
  * Debian xdm patches applied to provided xdm source.
  * Removed images from src/pixmaps/, those have a blurry copyright on
    them and I rather not risk distributing them.
  * Added /etc/X11/wdm/Xsession to be able to use the window manager
    selection option. It's just a little modification over Debian's
    Xsession.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 16 Aug 1998 21:08:56 -0600
